body {
  margin: 0;
  padding: 0;
  font-family: 'Montserrat', sans-serif;
}

h1, h2, h3, h4, h5, h6, p {
  margin: 0;
}

button {
  font-family: 'Montserrat', sans-serif;
}

.button {
  border: none;
  border-radius: 0;
  padding: 8px 32px;
  box-sizing: border-box;
  font-weight: bold;
  font-size: 14px;
  line-height: 20px;
  cursor: pointer;
  background: #156963;
  color: #ffffff;
  transition: 0.3s;
}

.button--inversed {
  color: #156963;
  background: transparent;
}

.button:hover {
  background: rgba(21, 105, 99, 0.52);
}

.wrapper {
  width: 100%;
  margin: 0 auto;
  max-width: 1280px;
  padding: 0 56px;
  box-sizing: border-box;
}

/*Header*/
.header {
  display: flex;
  margin-bottom: 140px;
}

.header_img {
  width: 47%;
  background: url('../assets/img/header-plant.png');
  background-size: cover;
}

.header_data {
  flex: 1;
}

.header_top {
  display: flex;
  justify-content: flex-end;
  align-items: center;
}

.header_top-img {
  margin-left: 40px;
  width: 20px;
  height: 20px;
  cursor: pointer;
}

.header_top-action--signup {
  margin-left: 8px;
}

.header_top {
  padding: 40px 56px 0;
  box-sizing: border-box;
}

.header_content {
  padding: 110px 72px 110px 77px;
  box-sizing: border-box;
}

.header_title {
  margin-bottom: 24px;
  font-weight: 500;
  font-size: 68px;
  line-height: 83px;
  color: #156963;
}

.header_description {
  font-size: 18px;
  line-height: 32px;
  color: #2C1500;
  opacity: 0.8;
}

.header_actions {
  display: flex;
}

.header_action {
  width: 50%;
  padding: 39px 49px;
  box-sizing: border-box;
  border: none;
  border-radius: 0;
  text-align: left;
  cursor: pointer;
  transition: 0.3s;
}

.header_action:hover {
  background: rgba(21, 105, 99, 0.52);
}

.header_action--prev .header_action_label {
  color: #156963;
}

.header_action--prev .header_action_img {
  margin-right: 8px;
}

.header_action--next {
  background: #156963;
}

.header_action--next .header_action_label {
  color: #FFFFFF;
}

.header_action--next .header_action_img {
  margin-left: 8px;
}

.header_action--next .header_action_movement {
  color: #FFFFFF;
}

.header_action_img {
  width: 32px;
  height: 32px;
}

.header_action_movement {
  display: flex;
  align-items: center;
  margin-bottom: 12px;
  font-weight: 500;
  font-size: 24px;
  line-height: 29px;
  opacity: 0.7;
  color: #333333;
}

.header_action_label {
  margin: 0;
  font-weight: 500;
  font-size: 32px;
  line-height: 39px;
}

/*Services*/
.services {
  margin-bottom: 83px;
}

.services_wrapper {
  display: flex;
  justify-content: space-between;
}

.services_item {
  width: calc(25% - 24px);
  padding: 22px 16px;
  border: 1px solid #E0E0E0;
  box-sizing: border-box;
}

.services_item-header {
  display: flex;
  align-items: center;
  margin-bottom: 16px;
}

.services_item-title {
  margin-left: 16px;
  font-weight: bold;
  font-size: 16px;
  line-height: 24px;
  color: #156963;
}

.services_item-description {
  font-size: 10px;
  line-height: 16px;
  color: #2C1500;
}

/*Featured-plants*/
.featured-plants {
  margin-bottom: 90px;
}

.featured-plants_header {
  display: flex;
  justify-content: space-between;
  align-items: center;
  box-sizing: border-box;
  padding-bottom: 16px;
  border-bottom: 1px solid #E0E0E0;
  margin-bottom: 24px;
}

.featured-plants_action {
  position: relative;
  padding: 8px 36px 8px 12px;
  border: 1px solid #E0E0E0;
  background: transparent;
  border-radius: 0;
  font-size: 12px;
  line-height: 15px;
  box-sizing: border-box;
  cursor: pointer;
}

.featured-plants_action-img {
  position: absolute;
  top: calc(50% - 6px);
  width: 12px;
  height: 12px;
  right: 12px;
}

.featured-plants_title {
  font-weight: 500;
  font-size: 20px;
  line-height: 24px;
}

.featured-plants_content {
  display: flex;
  justify-content: space-between;
}

.featured-plants_item {
  text-align: center;
  width: 217px;
}

.featured-plants_item-img-wrapper {
  width: 100%;
  height: 217px;
  background: #F3F4F6;
}

.featured-plants_item-img {
  width: 100%;
  height: 100%;
}

.featured-plants_item-title {
  line-height: 20px;
  margin: 0;
  margin-top: 16px;
}

.featured-plants_item-price {
  font-weight: 600;
  line-height: 20px;
  margin: 0;
  margin-top: 8px;
}


/*Shop*/
.shop {
  margin-bottom: 80px;
}

.shop_content {
  overflow: hidden;
  position: relative;
  padding: 88px 486px 88px 97px;
  background: #F3F4F6;
  box-sizing: border-box;
}

.shop_title {
  margin-bottom: 32px;
  font-weight: bold;
  font-size: 40px;
  line-height: 56px;
  color: #2C1500;
}

.shop_img {
  height: auto;
  width: 402px;
  top: 0;
  right: 41px;
  position: absolute;
}

/* Footer */
.footer {
  padding: 60px 0 71px;
  border-top: 1px solid rgba(21, 105, 99, 0.3);
}

.footer_wrapper {
  box-sizing: border-box;
  width: 100%;
  max-width: 946px;
  margin: 0 auto;
}

.footer_content {
  display: flex;
  margin: 0 -40px;
}

.footer_content-item {
  padding: 0 40px;
  box-sizing: border-box;
}

.footer_content-title {
  margin-bottom: 24px;
  font-weight: 500;
  font-size: 24px;
  line-height: 24px;
  letter-spacing: 0.05em;
  text-transform: uppercase;
  color: #156963;
}


.footer_content-subtitle {
  margin-bottom: 20px;
  font-weight: 600;
  line-height: 19px;
  color: #333333;
}

.footer_content-subtitle--main {
  margin-bottom: 10px;
}

.footer_content-subtitle--email {
  margin-bottom: 14px;
}

.footer_content-description {
  font-size: 13px;
  line-height: 20px;
  color: #4F4F4F;
}

.footer_content-link {
  display: block;
  margin-bottom: 14px;
  font-size: 14px;
  line-height: 16px;
  text-decoration: none;
  color: #000000;
}

.footer_content-link:hover {
  text-decoration: underline;
}

.footer_content-input {
  padding: 8px 13px;
  margin-bottom: 14px;
  border: 1px solid #F2F2F2;
  box-sizing: border-box;
  outline: none;
  border-radius: 2px;
}

/*.footer_content-input:invalid {
  border: 2px solid red;
  background: pink;
}*/

/*.footer_content-input:invalid + button {
  visibility: hidden;
}*/

.footer_content-input:focus {
  border-color: #156963;
}

.footer_content-button {
  border-radius: 2px;
  padding: 4px 12px;
  font-weight: 500;
  font-size: 8px;
  line-height: 14px;
}
